import { Branch } from '../models';

export default async function run(wikiName: string): Promise<void> {
  return Branch
    .query()
    .where({ name: wikiName })
    .first()
    .then((branch: Branch) => branch.importPages());
}
