"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
class WikidotPage extends _1.Model {
    static get tableName() {
        return 'wikidot_pages';
    }
    static upsert(page) {
        const insert = _1.db(WikidotPage.tableName).insert(page);
        const update = _1.db.queryBuilder().update(page);
        return Promise.resolve(_1.db.raw('? ON CONFLICT (name, wiki_name) DO ? returning *', [insert, update]).get('rows').get(0));
    }
    static getRandomRuPageName() {
        return Promise.resolve(_1.db.raw('SELECT name FROM wikidot_ru_random_page_view').then((r) => r.rows[0].name));
    }
}
exports.default = WikidotPage;
//# sourceMappingURL=wikidot-page.js.map