"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
exports.default = async (req, res) => {
    const { title, content } = req.body;
    if (!title || !content) {
        res.status(400).send({ error: 'Missing title or content' });
    }
    const result = await models_1.Draft
        .query()
        .insert({ title, content });
    res.send({ id: result.id });
};
//# sourceMappingURL=create.js.map