"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
const PAGE_NAME_REGEXP = /^[\w-:]*$/;
exports.default = async (req, res) => {
    const { wikiName, pageName = 'main' } = req.params;
    if (!wikiName) {
        res.status(400).send({ error: 'Wiki name is required' });
    }
    const page = await models_1.WikidotPage
        .query()
        .where({ wikiName, name: pageName })
        .first();
    res.send({ page });
};
//# sourceMappingURL=get-page.js.map